import React from 'react'
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon'
import ReactPDF, { Image } from '@react-pdf/renderer'
import png from './lung_failure.png'
import ImageProps = ReactPDF.ImageProps

const LungFailureIcon: React.FC<SvgIconProps> = (props) => {
  return (
    <SvgIcon viewBox={'0 0 59.826 60.001'} {...props}>
      <path d="M30.5,26.3c0.3-0.2,0.5-0.5,0.5-0.9V7.7c0-0.6-0.4-1-1-1s-1,0.4-1,1v17.2c-0.5,0.3-1.4,0.9-2.6,1.6v2.4   C28.7,27.3,30.4,26.3,30.5,26.3z" />
      <path d="M34.7,24.9V7.7c0-0.6-0.4-1-1-1s-1,0.4-1,1v17.7c0,0.4,0.2,0.7,0.5,0.9c0.1,0,1.9,1.2,4.4,2.9v-2.4   C36.3,25.9,35.3,25.2,34.7,24.9z" />
      <path d="M32.4,28c-0.2-0.1-0.5-0.1-0.7,0c-1.8,0.7-3.5,1.6-5.3,2.7v2.4c1.8-1.3,3.7-2.4,5.6-3.2c1.9,0.8,3.8,1.9,5.6,3.2v-2.4   C35.9,29.6,34.1,28.6,32.4,28z" />
      <path d="M23.3,17.4c-0.7-0.6-1.5-0.8-2.3-0.7C9.1,18.2,3.4,29.6,3,52.4c0,0.7,0.3,1.3,0.7,1.8c0.5,0.5,1.2,0.8,1.9,0.8H13   c6.3,0,11.4-5.1,11.4-11.4v-9c-2.3,1.8-4.5,3.9-6.4,5.8c-0.3,3,1.8,6.8,1.8,6.8c0.3,0.5,0.1,1.1-0.4,1.4c-0.2,0.1-0.3,0.1-0.5,0.1   c-0.4,0-0.7-0.2-0.9-0.5c-0.1-0.1-1.5-2.8-2-5.8c-3,3.2-4.9,5.8-5,5.9c-0.2,0.3-0.5,0.4-0.8,0.4c-0.2,0-0.4-0.1-0.6-0.2   c-0.4-0.3-0.5-1-0.2-1.4c0.4-0.5,6.9-9.2,14.9-15v-1.8c-5,3.5-11.5,8.6-13.2,12.5c-0.2,0.4-0.5,0.6-0.9,0.6c-0.1,0-0.3,0-0.4-0.1   c-0.5-0.2-0.7-0.8-0.5-1.3c1.1-2.5,3.7-5.3,6.8-7.9c-3.6-0.3-6.1-1.4-6.3-1.5c-0.5-0.2-0.7-0.8-0.5-1.3c0.2-0.5,0.8-0.7,1.3-0.5   c0,0,3.4,1.5,7.8,1.3c2-1.6,4.1-3.1,5.9-4.3v-8.1C24.4,18.9,24,18,23.3,17.4z" />
      <path d="M43,16.9c-0.9-0.1-1.7,0.1-2.3,0.7c-0.7,0.6-1.1,1.5-1.1,2.4v8.1c1.7,1.2,3.6,2.6,5.5,4.1c4.4,0.2,7.8-1.3,7.8-1.3   c0.5-0.2,1.1,0,1.3,0.5c0.2,0.5,0,1.1-0.5,1.3c-0.1,0.1-2.6,1.2-6.3,1.5c3,2.6,5.7,5.4,6.8,7.9c0.2,0.5,0,1.1-0.5,1.3   c-0.1,0.1-0.3,0.1-0.4,0.1c-0.4,0-0.8-0.2-0.9-0.6C50.8,39,44.5,34,39.6,30.5v1.6c8,5.9,14.5,14.6,14.9,15c0.3,0.4,0.2,1.1-0.2,1.4   c-0.4,0.3-1.1,0.2-1.4-0.2c0-0.1-2-2.6-5-5.9c-0.4,2.9-1.9,5.6-2,5.8c-0.2,0.3-0.5,0.5-0.9,0.5c-0.2,0-0.3,0-0.5-0.1   c-0.5-0.3-0.7-0.9-0.4-1.4c0,0,2.1-3.8,1.8-6.8c-1.9-1.9-4.1-4-6.4-5.8v9.3c0,6.3,5.1,11.4,11.4,11.4h7.4c0.7,0,1.4-0.3,1.9-0.8   c0.5-0.5,0.8-1.2,0.7-1.8C60.6,29.8,54.9,18.5,43,16.9z" />
    </SvgIcon>
  )
}

export const LungFailureIconPdf: React.FC<Partial<ImageProps>> = (props) => {
  return <Image src={png} {...props} />
}

export default LungFailureIcon
